#root {
  max-width: 1800px;
  margin: 0 auto;
}
* {
  margin: 0;
  padding: 0;
  font-family: "estedad-en";
  box-sizing: border-box;
  outline: none;
}
html,
body {
  font-size: 16px;
  background-color: #f9f7f6;
  color: #242333;
  //color: $black;
}
a {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
  &:hover {
    color: inherit;
  }
}
button {
  cursor: pointer;
  &:disabled {
    pointer-events: all !important;
    cursor: not-allowed;
  }
  &.reset {
    background-color: transparent;
    border: 0;
  }
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"] {
  -moz-appearance: textfield;
}
//p {
//  margin-bottom: 0;
//  color: $secondary;
//  overflow-wrap: break-word;
//}
ul,
li {
  list-style: none;
  margin: 0;
  padding: 0;
}
hr {
  background-color: $dark;
  margin: 0 auto;
  opacity: 1;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}
.input-group-text {
  background-color: white;
}
.dropdown-toggle::after {
  display: none;
}
.form-control[readonly] {
  background-color: #ffffff;
}
//.dropdown-menu {
//  min-width: 100%;
//  overflow: auto;
//}
.dropdown-menu {
  width: 100%;
  max-height: 240px;
  overflow: auto;
}
.flex-center {
  justify-content: center;
  align-items: center;
}
.row {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  row-gap: 1rem;
  @extend .flex-center;
}
.w-fit {
  width: fit-content;
}
.h-fit {
  height: fit-content;
}
.top-0 {
  top: 0 !important;
}
.bottom-0 {
  bottom: 0 !important;
}
.right-0 {
  right: 0 !important;
}
.left-0 {
  left: 0 !important;
}
.object-fit-contain,
.object-fit-cover {
  object-position: center;
}
.bi,
.bi::before,
.bi::after {
  vertical-align: middle;
}
.bg-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.lh-normal {
  line-height: 100%;
}
.modal-full-screen {
  max-width: unset;
  width: 100%;
  height: 100%;
}
.shadow-input {
  box-shadow: $input-focus-box-shadow !important;
}
.layout {
  background-color: white;
  border-radius: 0.5rem;
  box-shadow: 0 0.125rem 0.25rem rgb(0 0 0 / 8%);
}
.profile-img-section {
  width: 125px;
  height: 125px;
  border-radius: 50%;
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: inherit;
  }
  i.bi-person {
    font-size: 4.5rem;
  }
  i.bi-gear {
    width: 25px;
    height: 25px;
  }
}
.detail-form {
  > .col-12 {
    padding: 1rem;
  }

  @media (min-width: 992px) {
    border: 1px solid var(--bs-secondary);
    border-radius: 0 0 0.5rem 0.5rem;
    border-top-color: transparent;
    > .col-12 {
      padding: 1rem;
      padding: 3rem;
      &:nth-child(1) {
      }
      &:nth-child(2) {
        border-left: 1px solid var(--bs-secondary);
      }
      &:nth-child(3) {
        border-top: 1px solid var(--bs-secondary);
      }
    }
  }
}
